
QGIS Application - Bug report #14299

Unhide paths from browser

2016-02-15 07:23 AM - Paolo Cavallini

Status: In Progress

Priority: Normal

Assignee: Nathan Woodrow

Category: Browser

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22290

Description

Once a path has been hidden from the browser, it is unclear for the user how to get it back

History

#1 - 2016-03-13 12:50 PM - Harrissou Santanna

There's a "Remove" button in Settings menu --> Options --> Data sources tab. what do you mean by "unclear"?

#2 - 2016-03-13 11:50 PM - Paolo Cavallini

- Priority changed from Normal to Low

I also found the option. However, I think it is incoherent to be able to hide with a right click, and be required to go to Options to unhide.

#3 - 2016-03-24 12:13 AM - Nathan Woodrow

- Assignee set to Nathan Woodrow

- Priority changed from Low to Normal

- Operating System changed from Debian to All

- Status changed from Open to In Progress

- OS version deleted (Sid)

Yeah sorry about that.  Was a bit of a oversight on UX on my part.  Will be fixed.

#4 - 2016-03-24 12:36 AM - Nathan Woodrow

- File hidden.png added

How does this look?
#5 - 2016-03-24 12:39 AM - Paolo Cavallini

Fine to me. Perhaps worth asking UX team?

Thanks.

#6 - 2016-03-24 02:12 AM - Harrissou Santanna

Is it expected to list all the folders that are hidden or just their main parent, according to the current position?

I mean, if I have ten folders hidden (3 in H:/ and 7 in G:/), will I have:

    -  the ten folders listed ?

    -  or taking your example, just G:/ and H:/ listed

        -  and once I unhide G:/ and right-click on G:/, it lists G:/ hidden subfolders and just H:/? A kind of cascading process (with relative path)

I don't know if it's worth all this and if users will hide many folders but it can be unreadable to have all hidden files listed in the context menu.

#7 - 2016-03-24 05:13 PM - Nathan Woodrow

That is a good point.  I was just going to list all hidden paths even if they share the same parent.

Maybe just the first 10 and then have the options dialog open for the rest, as a Show More...

#8 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2018-02-24 04:50 PM - Paolo Cavallini

Still true

#10 - 2018-02-24 04:59 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.0.0

- Operating System deleted (All)
PLEASE UPDATE THE AFFECTED VERSION!

#11 - 2018-02-24 05:00 PM - Paolo Cavallini

This I forgot - sorry I'm keeping on checking, and did not look at further comments.

#12 - 2018-02-26 12:22 AM - Nathan Woodrow

I forgot about this one.  Will get it sorted for 3.2.

#13 - 2018-07-13 07:26 AM - Stefan Overkamp

I'm not able to clear or change the option browser - hiddenPaths manually. After opening the expanded options dialog the old value appears.

Files

hidden.png 8.62 KB 2016-03-23 Nathan Woodrow
